## sucrack 1.2.3

=== debian/changelog ===
sucrack (1.2.3-1) unstable; urgency=low

  * Non-maintainer upload
  * Compile with --enable-statistics (Closes: #687836) 

 -- Eva Ramon Salinas <debian@empanadilla.net>  Sat, 29 Dec 2012 20:56:38 +0000

sucrack (1.2.3-0.9) unstable; urgency=low

  * Non-maintainer upload
  * Fixed lintian warning: hardening-no-stackprotector
  * Fixed lintian warning: hardening-no-relro
  * Lintian override for warning: hardening-no-fortify 

 -- Eva Ramon Salinas <debian@empanadilla.net>  Sat, 16 Jun 2012 23:01:14 +0200

sucrack (1.2.3-0.7) unstable; urgency=low

  * Non-maintainer upload
  * Fix Ubuntu FTBFS with ld --as-needed, build with -pthread (Closes: #641433)
  * Upload sponsored by Philipp Hug <debian@hug.cx>
  ** Added Eva Ramon to Uploaders

 -- Eva Ramon Salinas <debian@empanadilla.net>  Sun, 10 Jun 2012 16:29:37 +0200

sucrack (1.2.3-0.5) unstable; urgency=low

  * Non-maintainer upload
    + Last update by the mantainer was five years ago	

  * New upstream release
  * New Standards Version 3.9.3
  * Clean lintian errors
  * Clean lintian warnings
  * Quilt 3.0 format applied to package source
  * Remove restoring of config.sub and config.guess in clean target
  * Added watch file

  * Upload sponsored by Philipp Hug <debian@hug.cx>
  ** Current maintainer is MIA, he was also sponsored by me
 
 -- Eva Ramon Salinas <debian@empanadilla.net>  Sun, 18 Mar 2012 18:14:34 +0100

sucrack (1.2.2-2) unstable; urgency=low

  * Upstream release without new version
  * Upload sponsored by Philipp Hug <debian@hug.cx>

 -- Tim Brown <timb@nth-dimension.org.uk>  Tue, 29 May 2007 16:04:03 +0100

sucrack (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Removed no longer require dependence: docbook-to-man 

 -- Tim Brown <timb@nth-dimension.org.uk>  Sat, 26 May 2007 18:51:30 +0100

sucrack (1.2.1-2) unstable; urgency=low

  * Checksums weren't matching

 -- Tim Brown <timb@nth-dimension.org.uk>  Tue, 22 May 2007 21:55:22 +0100

sucrack (1.2.1-1) unstable; urgency=low

  * Removed lintian overides
  * Removed sucrack.sgml

 -- Tim Brown <timb@nth-dimension.org.uk>  Mon, 30 Apr 2007 22:11:26 +0100

sucrack (1.1-2) unstable; urgency=low

  * Moved to main 

 -- Tim Brown <timb@nth-dimension.org.uk>  Tue, 20 Mar 2007 18:37:45 +0000

sucrack (1.1-1) unstable; urgency=low

  * Initial release (Closes: #414534)

 -- Tim Brown <timb@nth-dimension.org.uk>  Mon, 12 Mar 2007 11:17:36 +0000
