=== debian/control ===
Source: sucrack
Section: admin
Priority: extra
Maintainer: Tim Brown <timb@nth-dimension.org.uk>
Uploaders: Eva Ramon <debian@empanadilla.net>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.9.3
Homepage: http://labs.porticullis.co.uk/application/sucrack

Package: sucrack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multithreaded su bruteforcer
 sucrack is a multithreaded Linux/UNIX tool for cracking local 
 user accounts via wordlist bruteforcing su. This tool comes in
 handy when you've gained access to a low-privilege user account
 but are allowed to su to other users. Many su implementations 
 require a pseudo terminal to be attached in order to take the 
 password from the user. This can't be easily achieved with a 
 simple shell script. This tool, written in C, is highly 
 efficient and can attempt multiple logins at the same time.
