=== debian/watch ===
version=3
http://labs.portcullis.co.uk/application/sucrack /download/sucrack-(.*)\.tar\.gz
